Bug 198833 - (mercator) Review Request: mercator - Terrain library for WorldForge client/server
Review Request: mercator - Terrain library for WorldForge client/server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On: wfmath
Blocks: FE-ACCEPT sear
  Show dependency treegraph
 
Reported: 2006-07-13 18:52 EDT by Wart
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 14:47:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-07-13 18:52:29 EDT
Spec URL: http://www.kobold.org/~wart/fedora/mercator.spec
SRPM URL: http://www.kobold.org/~wart/fedora/mercator-0.2.4-1.src.rpm
Description:
Mercator is primarily aimed at terrain for multiplayer online games and forms
one of the WorldForge core libraries. It is intended to be used as a terrain
library on the client, while a subset of features are useful on the server.
Comment 1 Christopher Stone 2006-07-14 03:42:47 EDT
- rpmlint output clean
- package named according to package naming guidelines
- spec filename matches package %{name}
- package meets packaging guidelines
- package licensed with open source compatible license
- license matches upstream license
- license included in %doc
- spec file in American english
- spec file is legible
- sources match upstream
83debc1fbf1143efd1593c4357ba54dd  mercator-0.2.4.tar.gz
- package successfully compiles and builds on x86_64 FC-5
- all build dependencies listed in BuildRequires
- package does not use locales
- package properly uses %post/%postun ldconfig
- package is not relocatable
- package owns all directories it creates
- package does not contain duplicate files
- file permissions set properly
- package contains proper %clean section
- macro usage is consistent
- package contains permissible content
- package does not contain large documentation
- files in %doc do not affect runtime
- header files are in devel package
- pkgconfig files are in devel
- libraries files w/o suffix are in devel
- devel package requires main package
- package does not contain .la files
- package is not a GUI app needing .desktop files
- package does not own files or directories owned by other packages


==== MUST ====
- remove pkgconfig from BuildRequires, this should be picked up by devel package
- make check should include smp flags
- %doc in devel should be doc/html/*
Comment 2 Wart 2006-07-19 13:22:07 EDT
Sorry for the delay in this one.  I was waiting to resolve the issues with the
wfmath dependency first.

http://www.kobold.org/~wart/fedora/mercator.spec
http://www.kobold.org/~wart/fedora/mercator-0.2.4-2.src.rpm
Comment 3 Christopher Stone 2006-07-20 00:51:36 EDT
pkgconfig is not needed in BR for devel package and should not have been added,
as wfmath-devel should pick it up.

APPROVED
Comment 4 Ralf Corsepius 2006-07-20 01:57:53 EDT
(In reply to comment #3)
> pkgconfig is not needed in BR for devel package and should not have been added,
> as wfmath-devel should pick it up.

BR: pkgconfig MUST be added to all packages providing a *.pc

Cf. http://fedoraproject.org/wiki/Packaging/IRCLog20060706
and http://fedoraproject.org/wiki/Packaging/GuidelinesTodo
Comment 5 Christopher Stone 2006-07-20 02:15:37 EDT
Erm, pkgconfig is ALREADY included by the wfmath-devel package, therefore it is
NOT required.

We already have guidelines in place for this.
Comment 6 Ralf Corsepius 2006-07-20 02:30:39 EDT
(In reply to comment #5)
> Erm, pkgconfig is ALREADY included by the wfmath-devel package, therefore it is
> NOT required.
It doesn't matter.

Each package containing a *.pc depends on the directory /usr/*pkgconfig. 
It therefore must make sure this directory is present.

Whether another package currently requires the package "pkgconfig" and thereby
implicitly pulls in /usr/*pkgconfig doesn't matter. It is just a random accident.


Comment 7 Christopher Stone 2006-07-20 02:45:22 EDT
>> Whether another package currently requires the package "pkgconfig" and thereby
implicitly pulls in /usr/*pkgconfig doesn't matter. It is just a random accident.

What?  I'm sorry I totally do not understand this.  What accident is occuring? 
The package is redundant. End of story.  What am I missing?
Comment 8 Paul Howarth 2006-07-20 03:57:02 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > pkgconfig is not needed in BR for devel package and should not have been added,
> > as wfmath-devel should pick it up.
> 
> BR: pkgconfig MUST be added to all packages providing a *.pc

s/BR/R/

(In reply to comment #7)
> >> Whether another package currently requires the package "pkgconfig" and thereby
> implicitly pulls in /usr/*pkgconfig doesn't matter. It is just a random accident.
> 
> What?  I'm sorry I totally do not understand this.  What accident is occuring? 
> The package is redundant. End of story.  What am I missing?

It's just about conceivable that wfmath-devel might someday not include a .pc
file and hence not require pkgconfig itself.

It's good practice that if your package requires something itself and not just
via a dependency (as would be the case if this package didn't ship a .pc file)
then the direct dependency should be added to your package.
Comment 9 Ralf Corsepius 2006-07-20 08:03:56 EDT
(In reply to comment #8)
> (In reply to comment #4)
> > (In reply to comment #3)
> > > pkgconfig is not needed in BR for devel package and should not have been
added,
> > > as wfmath-devel should pick it up.
> > 
> > BR: pkgconfig MUST be added to all packages providing a *.pc
> 
> s/BR/R/
Ouch - Mea culpa, ugly typo that shouldn't have happened.
 
> (In reply to comment #7)
> > >> Whether another package currently requires the package "pkgconfig" and
thereby
> > implicitly pulls in /usr/*pkgconfig doesn't matter. It is just a random
accident.
> > 
> > What?  I'm sorry I totally do not understand this.  What accident is occuring? 
> > The package is redundant.
Yes, atm it's redundant, but will it be in 2 weeks?

>>  What am I missing?
The guidelines have changed.
Comment 10 Christopher Stone 2006-07-20 19:50:49 EDT
The guidelines state that the package must require pkgconfig.  This package
brings in this requires with wfmath-devel.  Therefore it does not need to be added.

End of story.

Wart: The package is already approved you can do whatever you want with the
pkgconfig as this is a totally senseless and stupid discussion anyway.
Comment 11 Wart 2006-07-23 22:22:52 EDT
Imported but not yet built until the wfmath test failure on ppc is dealt with.
Comment 12 Wart 2006-07-27 14:47:11 EDT
This has been built now that the wfmath issue has been temporarily resolved.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.